#Файл нельзя называть pickle

import pickle

#Сохранение объектов в файлах при помощи pickle
F = open("obj.pkl", "wb")
D = {'meal': 'burger', 'genius': 'heiakim'}
pickle.dump(D, F)
F.close()

#Чтение объектов
F = open('obj.pkl', 'rb')
print(pickle.load(F))